## noris-nagios-netappplugins 5.8

=== Makefile ===
build:

install:
	gcc -O2 -Wall -Iinclude/ -c check_netapp_snapmirror.c
	gcc -O2 -Wall -o check_netapp_snapmirror -L lib/linux-64/ -lnetapp -lxml -lpthread -ladt -lssl -lm check_netapp_snapmirror.o
	mv check_netapp_snapmirror usr/lib/nagios/plugins/
	cp lib/linux-64/*.so usr/lib/
	cp -r usr/ ${DESTDIR}/
	cp -r etc/ ${DESTDIR}/

clean:
	rm check_netapp_snapmirror.o || true
	rm -f *-stamp || true

=== src/sample/java/systemcli/Makefile ===
# $Id: //depot/prod/zephyr/Rkonark/src/sample/java/systemcli/Makefile#1 $
#
# This makefile assumes that your PATH contains 
# the bin directory which has java and javac.
#
# You may have to adjust the value of CLASSPATH to
# find the manageontap.jar and crimson.jar files.

JAVAC=javac
JAVA=java

CLASSPATH = ../../../../lib/java/classes/manageontap.jar:../../../java/classes

all :
	$(JAVAC) -deprecation -classpath $(CLASSPATH) systemcli.java

clean :
	rm -fr *.class

test :
	$(JAVA) -classpath .:$(CLASSPATH) systemcli tweety root tryme vol status

=== debian/changelog ===
noris-nagios-netappplugins (5.8) lenny; urgency=low

  * monitorplugin.py (#12035814) 

 -- Katharina Drexel <kdrexel@noris.de>  Thu, 19 Jan 2012 08:59:03 +0100

noris-nagios-netappplugins (5.7) lenny; urgency=low

  * check_naf.py (#11857251) 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 06 Dec 2011 09:42:46 +0100

noris-nagios-netappplugins (5.6) stable; urgency=low

  * added check_netapp_cluster 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 23 Aug 2010 17:09:06 +0200

noris-nagios-netappplugins (5.5) stable; urgency=low

  * some Makefile correction 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 23 Aug 2010 16:53:23 +0200

noris-nagios-netappplugins (5.4) stable; urgency=low

  * added check_netapp + ssh-key (RT#626860) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Mon, 23 Aug 2010 14:54:03 +0200

noris-nagios-netappplugins (5.3) stable; urgency=low

  * Garr, wir brauchen auch noch andere libs.

 -- Micha Krause <Micha@noris.de>  Thu, 18 Mar 2010 11:13:08 +0100

noris-nagios-netappplugins (5.2) stable; urgency=low

  * schoenere versionsnummer

 -- Micha Krause <Micha@noris.de>  Thu, 18 Mar 2010 10:37:01 +0100

noris-nagios-netappplugins (5.1+nmu1) stable; urgency=low

  * Wir wollen auch noch die libnetapp.so haben, sonnst gehts nich.

 -- Micha Krause <Micha@noris.de>  Thu, 18 Mar 2010 10:25:07 +0100

noris-nagios-netappplugins (5.1) stable; urgency=low

  * RT#588671 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 18 Mar 2010 09:05:24 +0100

noris-nagios-netappplugins (5.0) stable; urgency=low

  * Initial Release.

 -- Katharina Drexel <katharina.drexel@noris.de>  Wed, 24 Feb 2010 09:48:42 +0100

=== debian/control ===
Source: noris-nagios-netappplugins
Section: noris/server 
Priority: extra
Maintainer: Katharina Drexel <katharina.drexel@noris.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://communities.netapp.com/docs/DOC-1110

Package: noris-nagios-netappplugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Snapmirror Check for Timeouts a.s.o.

## noris-nagios-netappplugins 6.7.24

=== debian/changelog ===
noris-nagios-netappplugins (6.7.24) squeeze; urgency=low

  * #16063525 - add and fix plugins

 -- Michael Steger <m.steger@noris.de>  Tue, 01 Apr 2014 17:57:32 +0200

noris-nagios-netappplugins (6.7.20) squeeze; urgency=low

  * removed ssh key 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 24 Feb 2014 12:36:09 +0100

noris-nagios-netappplugins (6.23-7) wheezy; urgency=low

  * Added inode to check_cdot_volume.pl

 -- Alexander Krogloth <alex@noris.de>  Wed, 29 Jan 2014 13:53:23 +0100

noris-nagios-netappplugins (6.7.19) squeeze; urgency=low

  * check_7mode_volume.pl added

 -- Alexander Krogloth <alex@noris.net>  Wed, 29 Jan 2014 13:20:55 +0100

noris-nagios-netappplugins (6.7.18) squeeze; urgency=low

  * check_cdot_snapmirror.pl with lag-option

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Fri, 24 Jan 2014 14:28:03 +0100

noris-nagios-netappplugins (6.7.17) squeeze; urgency=low

  * Updated check_cdot_snapmirror.pl

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Fri, 24 Jan 2014 14:07:17 +0100

noris-nagios-netappplugins (6.7.16) squeeze; urgency=low

  * Fixed NetApp Monitoring by IL

 -- Alexander Krogloth <alex@noris.de>  Thu, 14 Nov 2013 14:14:03 +0100

noris-nagios-netappplugins (6.7.15) squeeze; urgency=low

  * Fixed NetApp Monitoring by IL

 -- Alexander Krogloth <alex@wheezy-template.test.noris.de>  Thu, 14 Nov 2013 13:57:12 +0100

noris-nagios-netappplugins (6.7.14) squeeze; urgency=low

  * Fixed NetApp Monitoring by IL

 -- Alexander Krogloth <alex@noris.de>  Thu, 14 Nov 2013 13:45:50 +0100

noris-nagios-netappplugins (6.7.13) squeeze; urgency=low

  * removed old snapmirror stuff

 -- Alexander Krogloth <alex@noris.de>  Fri, 25 Oct 2013 17:27:38 +0200

noris-nagios-netappplugins (6.7.12) squeeze; urgency=low

  * fixed code

 -- Alexander Krogloth <alex@noris.de>  Fri, 25 Oct 2013 17:14:14 +0200

noris-nagios-netappplugins (6.7.11) squeeze; urgency=low

  * fixed code

 -- Alexander Krogloth <alex@noris.de>  Fri, 25 Oct 2013 17:05:28 +0200

noris-nagios-netappplugins (6.7.10) squeeze; urgency=low

  * fixed merge foo

 -- Alexander Krogloth <alex@noris.de>  Fri, 25 Oct 2013 16:44:50 +0200

noris-nagios-netappplugins (6.7.9) squeeze; urgency=low

  * New Version of NetApp Monitoring by IL

 -- Alexander Krogloth <alex@noris.de>  Fri, 25 Oct 2013 16:35:58 +0200

noris-nagios-netappplugins (6.7.7) squeeze; urgency=low

  * #14972528 - renew netapp scripts (fixed snapshot_age)

 -- Alexander Krogloth <alex@noris.de>  Tue, 01 Oct 2013 11:32:09 +0200

noris-nagios-netappplugins (6.7.6) squeeze; urgency=low

  * #14972528 - renew netapp scripts

 -- Michael Steger <m.steger@noris.de>  Tue, 01 Oct 2013 11:15:03 +0200

noris-nagios-netappplugins (6.7.5) squeeze; urgency=low

  * #14972528 - change netapp plugins

 -- Michael Steger <m.steger@noris.de>  Mon, 30 Sep 2013 14:21:39 +0200

noris-nagios-netappplugins (6.7.4) squeeze; urgency=low

  * #14972528 - add 7mode checks

 -- Michael Steger <m.steger@noris.de>  Thu, 26 Sep 2013 16:28:04 +0200

noris-nagios-netappplugins (6.7.3) squeeze; urgency=low

  * #14913974 - add netapp checks

 -- Michael Steger <m.steger@noris.de>  Tue, 10 Sep 2013 14:45:03 +0200

noris-nagios-netappplugins (6.7.2) squeeze; urgency=low

  * added new du plugin (#14609477) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 26 Jun 2013 15:53:03 +0200

noris-nagios-netappplugins (6.7.1) squeeze; urgency=low

  * add nagios check 

 -- Michael Steger <m.steger@noris.de>  Thu, 13 Jun 2013 10:28:52 +0200

noris-nagios-netappplugins (6.6) squeeze; urgency=low

  * fixed timeout

 -- Alexander Krogloth <alex@noris.de>  Thu, 06 Jun 2013 14:36:41 +0200

noris-nagios-netappplugins (6.4) squeeze; urgency=low

  * added check_netapp_uptime

 -- Alexander Krogloth <alex@noris.de>  Wed, 05 Jun 2013 15:21:22 +0200

noris-nagios-netappplugins (6.3) squeeze; urgency=low

  * fixed check_netapp_rebuild

 -- Alexander Krogloth <alex@noris.de>  Wed, 05 Jun 2013 14:20:15 +0200

noris-nagios-netappplugins (6.2) squeeze; urgency=low

  * removed sdk-dependency

 -- Alexander Krogloth <alex@noris.de>  Wed, 05 Jun 2013 14:13:25 +0200

noris-nagios-netappplugins (6.1) squeeze; urgency=low

  * added timeout to API-scripts 

 -- Alexander Krogloth <alex@noris.de>  Wed, 05 Jun 2013 14:06:25 +0200

noris-nagios-netappplugins (6.0-5) squeeze; urgency=low

  * added check_lagtime 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 29 Aug 2012 16:32:13 +0200

noris-nagios-netappplugins (6.0-4) squeeze; urgency=low

  * rebuild with monitoringplugin.py 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 18 Jun 2012 12:52:16 +0200

noris-nagios-netappplugins (6.0-3) squeeze; urgency=low

  * Makefile angepasst 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 06 Dec 2011 15:42:56 +0100

noris-nagios-netappplugins (6.0-2) squeeze; urgency=low

  * new check_naf plugin (#11857251) 

 -- Katharina Drexel <kdrexel@noris.de>  Tue, 06 Dec 2011 15:23:00 +0100

noris-nagios-netappplugins (6.0-1) squeeze; urgency=low

  * First Build for squeeze

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 24 Feb 2011 16:21:29 +0100

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: noris-nagios-netappplugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Snapmirror Check for Timeouts a.s.o.
+Depends: ${shlibs:Depends}, ${misc:Depends}, libxml-parser-perl
+Description: Snapmirror, Aggregate, Disk Checks a.s.o.

## noris-nagios-netappplugins 7.14

=== Makefile ===
build:

install:
	cp -r usr/ ${DESTDIR}/
	cp -r etc/ ${DESTDIR}/

clean:
	rm -f *-stamp || true

=== debian/changelog ===
noris-nagios-netappplugins (7.14) jessie; urgency=medium

  * 21880618: other duplicate netapp checks

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 21 Oct 2015 11:12:11 +0200

noris-nagios-netappplugins (7.13) jessie; urgency=medium

  * check_netapp_uptime_7mode (otherwise conflicts with snmp.cfg) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 21 Oct 2015 10:54:28 +0200

noris-nagios-netappplugins (7.12) wheezy; urgency=low

  * added mission plugins

 -- Alexander Krogloth <alex@noris.de>  Tue, 13 Oct 2015 14:16:50 +0200

noris-nagios-netappplugins (7.11) wheezy; urgency=low

  * fixed version

 -- Alexander Krogloth <alex@noris.de>  Tue, 13 Oct 2015 14:06:29 +0200

noris-nagios-netappplugins (7.10) wheezy; urgency=low

  * fixed snapprotect volumes

 -- Alexander Krogloth <alex@noris.de>  Tue, 13 Oct 2015 14:04:00 +0200

noris-nagios-netappplugins (7.9) jessie; urgency=medium

  * First build for jessie

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 24 Jul 2015 14:12:50 +0200

noris-nagios-netappplugins (7.8) wheezy; urgency=low

  * recommendations while moving volumes

 -- Alexander Krogloth <alex@williams.office.noris.de>  Fri, 17 Apr 2015 14:27:56 +0200

noris-nagios-netappplugins (7.7) wheezy; urgency=low

  * recommendations / scheduled_snapshots

 -- Alexander Krogloth <alex@noris.de>  Mon, 23 Mar 2015 11:47:53 +0100

noris-nagios-netappplugins (7.6.3) wheezy; urgency=low

  * fixed aggr/vol

 -- Alexander Krogloth <alex@noris.de>  Mon, 09 Mar 2015 11:48:24 +0100

noris-nagios-netappplugins (7.6.2) wheezy; urgency=low

  * speed up checks

 -- Alexander Krogloth <alex@noris.de>  Mon, 09 Mar 2015 11:35:09 +0100

noris-nagios-netappplugins (7.6.1) wheezy; urgency=low

  * fixed snapmirror check

 -- Alexander Krogloth <alex@noris.de>  Mon, 09 Mar 2015 11:08:41 +0100

noris-nagios-netappplugins (7.6) wheezy; urgency=low

  * fixed all 20 objects bugs

 -- Alexander Krogloth <alex@noris.de>  Mon, 02 Mar 2015 16:54:11 +0100

noris-nagios-netappplugins (7.5.1) wheezy; urgency=low

  * fxied clusterconfig check

 -- Alexander Krogloth <alex@noris.de>  Thu, 26 Feb 2015 15:04:21 +0100

noris-nagios-netappplugins (7.5) wheezy; urgency=low

  * fixed clusterconfig check

 -- Alexander Krogloth <alex@noris.de>  Thu, 26 Feb 2015 14:41:18 +0100

noris-nagios-netappplugins (7.4) wheezy; urgency=low

  * fixed snapmirror check (more than 20) 

 -- Alexander Krogloth <alex@noris.de>  Mon, 09 Feb 2015 17:39:51 +0100

noris-nagios-netappplugins (7.3) wheezy; urgency=low

  * speed up check_cdot_snapshots.pl

 -- Alexander Krogloth <alex@noris.de>  Fri, 06 Feb 2015 12:29:36 +0100

noris-nagios-netappplugins (7.2) wheezy; urgency=low

  * changed big bug in check_cdot_snapshots.pl, now working again 

 -- Alexander Krogloth <alex@noris.de>  Thu, 05 Feb 2015 23:55:51 +0100

noris-nagios-netappplugins (7.1) wheezy; urgency=low

  * added check_netapp_numdisks_limited

 -- Alexander Krogloth <alex@noris.de>  Mon, 20 Oct 2014 15:10:32 +0200

noris-nagios-netappplugins (7.0) wheezy; urgency=low

  * fixed spare disk check

 -- Alexander Krogloth <alex@noris.de>  Mon, 20 Oct 2014 13:47:06 +0200

noris-nagios-netappplugins (6.8-1) wheezy; urgency=low

  * wheezy version ahead 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 14 Jul 2014 03:08:06 +0200

noris-nagios-netappplugins (6.23-10) wheezy; urgency=low

  * #16063525 - add and fix some plugins

 -- Michael Steger <m.steger@noris.de>  Tue, 01 Apr 2014 17:00:20 +0200

noris-nagios-netappplugins (6.23-9) wheezy; urgency=low

  * some more plugins

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 24 Feb 2014 14:07:59 +0100

noris-nagios-netappplugins (6.23-8) wheezy; urgency=low

  * removed ssh key 

 -- Katharina Drexel <kdrexel@noris.de>  Mon, 24 Feb 2014 12:36:09 +0100

noris-nagios-netappplugins (6.23-6) wheezy; urgency=low

  * Added Inode to check_cdot_volume.pl

 -- Alexander Krogloth <alex@noris.de>  Wed, 29 Jan 2014 13:49:35 +0100

noris-nagios-netappplugins (6.23-4) wheezy; urgency=low

  * Added check_7mode_volume.pl

 -- Alexander Krogloth <alex@noris.net> Wed, 29 Jan 2014 13:27:49 +0100

noris-nagios-netappplugins (6.23-3) wheezy; urgency=low

  * lag-option added in check_cdot_snapmirror.pl

 -- Jean-Denis Gebhardt <jean-denis.gebhardt@noris.net>  Fri, 24 Jan 2014 14:30:53 +0100

noris-nagios-netappplugins (6.23-2) wheezy; urgency=low

  * updated check_cdot_snapmirror.pl

 -- root <jgebhardt@noris.net>  Fri, 24 Jan 2014 12:26:32 +0100

noris-nagios-netappplugins (6.23-1) wheezy; urgency=low

  * Build for all architectures

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 22 Jan 2014 09:40:29 +0100

noris-nagios-netappplugins (6.23) wheezy; urgency=low

  * fixed version

 -- Alexander Krogloth <alex@noris.de>  Thu, 14 Nov 2013 14:18:34 +0100

noris-nagios-netappplugins (6.22) wheezy; urgency=low

  * Fixed NetApp Monitoring by IL

 -- Alexander Krogloth <alex@wheezy-template.test.noris.de>  Thu, 14 Nov 2013 14:17:36 +0100

noris-nagios-netappplugins (6.21) wheezy; urgency=low

  * fixed version

 -- Alexander Krogloth <alex@noris.de>  Tue, 29 Oct 2013 12:49:05 +0100

noris-nagios-netappplugins (6.19) wheezy; urgency=low

  * Added Uptime Check

 -- Alexander Krogloth <alex@noris.de>  Tue, 29 Oct 2013 12:48:15 +0100

noris-nagios-netappplugins (6.18) wheezy; urgency=low

  * fixed check output

 -- Alexander Krogloth <alex@noris.de>  Fri, 25 Oct 2013 12:13:10 +0200

noris-nagios-netappplugins (6.16) wheezy; urgency=low

  * #14972528 - netapp scripts (fixed snapshot_age)

 -- Alexander Krogloth <alex@noris.de>  Tue, 01 Oct 2013 11:28:14 +0200

noris-nagios-netappplugins (6.15) wheezy; urgency=low

  * #14972528 - renew netapp scripts

 -- Michael Steger <m.steger@noris.de>  Tue, 01 Oct 2013 11:13:12 +0200

noris-nagios-netappplugins (6.14) wheezy; urgency=low

  * #14972528 - change netapp plugins

 -- Michael Steger <m.steger@noris.de>  Mon, 30 Sep 2013 14:15:32 +0200

noris-nagios-netappplugins (6.13) wheezy; urgency=low



=== debian/control ===
--- 
+++ 
@@ -7,6 +7,6 @@
 Homepage: http://communities.netapp.com/docs/DOC-1110
 
 Package: noris-nagios-netappplugins
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libxml-parser-perl
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, netapp-manageability-sdk, libreadonly-perl, libxml-parser-perl
 Description: Snapmirror, Aggregate, Disk Checks a.s.o.

## noris-nagios-netappplugins 7.47

=== debian/changelog ===
noris-nagios-netappplugins (7.47) wheezy; urgency=low

  * fixed fallback for HTTP

 -- Alexander Krogloth <alex@noris.de>  Mon, 27 Nov 2017 02:51:51 +0100

noris-nagios-netappplugins (7.46) wheezy; urgency=low

  * no interface CRC errors for down interfaces

 -- Alexander Krogloth <alex@noris.de>  Sun, 29 Oct 2017 13:11:07 +0100

noris-nagios-netappplugins (7.45) wheezy; urgency=low

  * bugfix #2 volume check

 -- Alexander Krogloth <alex@noris.de>  Thu, 26 Oct 2017 14:51:39 +0200

noris-nagios-netappplugins (7.44) wheezy; urgency=low

  * bugfix volume check

 -- Alexander Krogloth <alex@williams.office.noris.de>  Thu, 26 Oct 2017 14:41:14 +0200

noris-nagios-netappplugins (7.43) wheezy; urgency=low

  * fixed volume output

 -- Alexander Krogloth <alex@noris.de>  Thu, 26 Oct 2017 14:04:38 +0200

noris-nagios-netappplugins (7.42) wheezy; urgency=low

  * fixed excludes

 -- Alexander Krogloth <alex@noris.de>  Wed, 25 Oct 2017 10:15:06 +0200

noris-nagios-netappplugins (7.41) wheezy; urgency=low

  * added fcp interface errors

 -- Alexander Krogloth <alex@noris.de>  Mon, 23 Oct 2017 12:18:58 +0200

noris-nagios-netappplugins (7.40) wheezy; urgency=low

  * interface check with CRC errors

 -- Alexander Krogloth <alex@noris.de>  Sun, 22 Oct 2017 19:59:13 +0200

noris-nagios-netappplugins (7.39) wheezy; urgency=low

  * fixed multipath check 

 -- Alexander Krogloth <alex@noris.de>  Thu, 28 Sep 2017 17:17:51 +0200

noris-nagios-netappplugins (7.38) wheezy; urgency=low

  * fixed recommendations + interfaces

 -- Alexander Krogloth <alex@noris.de>  Mon, 25 Sep 2017 15:19:38 +0200

noris-nagios-netappplugins (7.37) wheezy; urgency=low

  * new version 

 -- Alexander Krogloth <alex@noris.de>  Mon, 25 Sep 2017 14:55:35 +0200

noris-nagios-netappplugins (7.36) wheezy; urgency=low

  * fixed aggr output 

 -- Alexander Krogloth <alex@noris.de>  Wed, 02 Aug 2017 12:16:34 +0200

noris-nagios-netappplugins (7.35) wheezy; urgency=low

  * fixed volume check output (again)

 -- Alexander Krogloth <alex@noris.de>  Wed, 02 Aug 2017 12:05:41 +0200

noris-nagios-netappplugins (7.34) wheezy; urgency=low

  * Fixed volume check output

 -- Alexander Krogloth <alex@noris.de>  Wed, 02 Aug 2017 11:59:21 +0200

noris-nagios-netappplugins (7.33) wheezy; urgency=low

  * fixed multipath for MCC

 -- Alexander Krogloth <alex@noris.de>  Wed, 12 Jul 2017 12:01:58 +0200

noris-nagios-netappplugins (7.32) wheezy; urgency=low

  * removed wrong aggr warning

 -- Alexander Krogloth <alex@noris.de>  Fri, 31 Mar 2017 16:00:45 +0200

noris-nagios-netappplugins (7.31) wheezy; urgency=low

  * fixed perf data

 -- Alexander Krogloth <alex@noris.de>  Thu, 30 Mar 2017 15:29:02 +0200

noris-nagios-netappplugins (7.30) wheezy; urgency=low

  *  snapshot ignore

 -- Alexander Krogloth <alex@williams.office.noris.de>  Wed, 29 Mar 2017 17:00:24 +0200

noris-nagios-netappplugins (7.29) wheezy; urgency=low

  * new version from github

 -- Alexander Krogloth <alex@williams.office.noris.de>  Wed, 29 Mar 2017 16:19:18 +0200

noris-nagios-netappplugins (7.28) wheezy; urgency=low

  * removed dependency

 -- Alexander Krogloth <alex@noris.de>  Fri, 24 Mar 2017 11:06:50 +0100

noris-nagios-netappplugins (7.27) wheezy; urgency=low

  * excluded clone snapshots

 -- Alexander Krogloth <alex@noris.de>  Mon, 28 Nov 2016 12:46:12 +0100

noris-nagios-netappplugins (7.26) wheezy; urgency=low

  * fixed wrong aggr check

 -- Alexander Krogloth <alex@williams.office.noris.de>  Mon, 15 Aug 2016 10:57:48 +0200

noris-nagios-netappplugins (7.25) wheezy; urgency=low

  * fixed snapmirror schedule

 -- Alexander Krogloth <alex@noris.de>  Mon, 08 Aug 2016 09:42:28 +0200

noris-nagios-netappplugins (7.24) wheezy; urgency=low

  * fixed error while transfer is running

 -- Alexander Krogloth <alex@noris.de>  Wed, 30 Mar 2016 14:09:42 +0200

noris-nagios-netappplugins (7.23) wheezy; urgency=low

  * fixed interfaces check 

 -- Alexander Krogloth <alex@noris.de>  Tue, 08 Mar 2016 11:12:39 +0100

noris-nagios-netappplugins (7.22) wheezy; urgency=low

  * new aggr check 

 -- Alexander Krogloth <alex@noris.de>  Wed, 02 Dec 2015 20:49:21 +0100

noris-nagios-netappplugins (7.20) wheezy; urgency=low

  * fixed multipath again

 -- Alexander Krogloth <alex@williams.office.noris.de>  Wed, 02 Dec 2015 17:38:54 +0100

noris-nagios-netappplugins (7.19) wheezy; urgency=low

  * fixed multipath check

 -- Alexander Krogloth <alex@noris.de>  Wed, 02 Dec 2015 17:32:39 +0100

noris-nagios-netappplugins (7.18) wheezy; urgency=low

  * fixed multipath

 -- Alexander Krogloth <alex@noris.de>  Wed, 02 Dec 2015 17:01:21 +0100

noris-nagios-netappplugins (7.17) wheezy; urgency=low

  * fixed hostname

 -- Alexander Krogloth <alex@noris.de>  Fri, 30 Oct 2015 11:47:21 +0100

noris-nagios-netappplugins (7.16) wheezy; urgency=low

  * new wrong aggr check

 -- Alexander Krogloth <alex@noris.de>  Fri, 30 Oct 2015 11:12:36 +0100

noris-nagios-netappplugins (7.15) wheezy; urgency=low

  * 22170330: ignore maintaince disks

 -- Alexander Krogloth <alex@noris.de>  Wed, 21 Oct 2015 15:30:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: noris-nagios-netappplugins
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, netapp-manageability-sdk, libreadonly-perl, libxml-parser-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libreadonly-perl, libxml-parser-perl
 Description: Snapmirror, Aggregate, Disk Checks a.s.o.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/noris-nagios-netappplugins.sgml > noris-nagios-netappplugins.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-netappplugins.
	$(MAKE) DESTDIR=$(CURDIR)/debian/noris-nagios-netappplugins install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
